Subject: Re: SRH: Local configuration and TLV processing

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Mon, 3 Jun 2019 15:25:11 +0000

Hi Tom, the guidance is in the paragraph that follows the one you quoted:
  "An implementation that supports the generation and verification of
   the HMAC SHOULD support the following default behavior as defined in
   the remainder of this section.”

Thanks
  Darren

> On May 28, 2019, at 4:47 PM, Tom Herbert <[email-masked]> wrote:
> 
> Hello,
> 
> I still don't understand how "local configuration" works in regard to
> how "TLVs are processed".
> 
>> From the draft (draft-ietf-6man-segment-routing-header-19): "Local
> configuration determines how TLVs are to be processed when the Active
> Segment is a local SID type defined in this document."
> 
> And for the one TLV defined in the draft:  "Local configuration
> determines when to check for an HMAC and potentially provides an
> alternate composition of Text".
> 
> Are there any limitations here? For instance, could someone create a
> local configuration where every other byte in the packet is taken to
> be the input text into HMAC TLV? Do we expect implementations to
> support all possible local configurations in order to be conformant?
> What is the guidance to implementations to be able to support a
> seemingly open ended number of such local configurations?
> 
> Thanks,
> Tom
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------